MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SLES::Play Class Reference

OO wrapper for an OpenSL/ES SLPlayItf variable. More...

`#include <Play.hxx>`

## Public Member Functions
| Play ()=default
| Play (SLPlayItf _play)
SLresult | SetPlayState (SLuint32 state)

## Detailed Description

OO wrapper for an OpenSL/ES SLPlayItf variable.

Definition at line 39 of file Play.hxx.

## Constructor & Destructor Documentation

SLES::Play::Play | ( |  | ) |
| default

SLES::Play::Play | ( | SLPlayItf | _play | ) |
| inline explicit

Definition at line 44 of file Play.hxx.

## Member Function Documentation

SLresult SLES::Play::SetPlayState | ( | SLuint32 | state | ) |
| inline

Definition at line 46 of file Play.hxx.

The documentation for this class was generated from the following file:

- output/plugins/sles/Play.hxx